Subject: Good Books for Job Hunting?

From: [email-masked] (Meg Bergen)
Date: 6 Jan 1995 05:15:30 GMT

Does anyone know of any good books for looking for jobs in landscape 
architecture or other design professions?  I'm also interested in any 
books on putting together portfolios of work.  

I'm also interested to know what types of questions people have been 
asked in interviews for landscape architecture jobs?  What skills do 
employers seem to be the most interested in?  What do you feel are the 
most effective way of contacting employers and finding out about jobs 
(calling people, writing ..)

--
    Meg Bergen                                [email-masked]